Query Password Policies
Filters on policyIds and policyNames combine with logical AND across dimensions; multiple values within a field are OR. Returns an empty list if no policy matches all active filters.
Page index (0-based)
Page size
Sort field
Sort direction
Optional query filters (omit body for unfiltered query)
"{\n \"policyIds\" : [ \"033a28ca-50be-4aa1-ada0-d7558b21c75a\" ],\n \"policyNames\" : [ \"Fleet Example Policy\" ]\n}"
When true, returns only fleet-wide policies. When false, returns only non-fleet policies. When omitted, all policies are returned regardless of fleet designation.
List of policy ids to be queried
List of policy names to be queried
Paged policies
"{\n \"pageInfo\" : {\n \"totalCount\" : 1,\n \"page\" : 0,\n \"pageSize\" : 50,\n \"sortBy\" : \"updatedAt\",\n \"sortOrder\" : \"ASCENDING\"\n },\n \"policies\" : [ {\n \"id\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"name\" : \"Fleet Example Policy\",\n \"description\" : \"Example fleet password policy for API documentation\",\n \"complexityConstraints\" : {\n \"minLength\" : 12,\n \"minLowercase\" : 1,\n \"minUppercase\" : 1,\n \"minNumeric\" : 1,\n \"minSpecial\" : 1,\n \"passwordHistory\" : 3\n },\n \"expirationConstraints\" : {\n \"maxDays\" : 90,\n \"warnDays\" : 7\n },\n \"lockoutConstraints\" : {\n \"lockoutMaxAuthFailures\" : 3,\n \"lockoutEvaluationPeriod\" : 900,\n \"lockoutPeriod\" : 900\n },\n \"createdAt\" : 1741630060000,\n \"updatedAt\" : 1741716460000\n } ]\n}"
Collection of links
Represents page information for a paged result
Matching policies for the current page (union of query filters, deduplicated)
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/password-policies/query